C
C Copyright (C)  2004  Richard Guenther
C
C This file is part of FreePOOMA.
C
C FreePOOMA is free software; you can redistribute it and/or modify it
C under the terms of the Expat license.
C
C This program is distributed in the hope that it will be useful, but
C WITHOUT ANY WARRANTY; without even the implied warranty of
C MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Expat
C license for more details.
C
C You should have received a copy of the Expat license along with
C FreePOOMA; see the file LICENSE.
C

       SUBROUTINE fortran_compute (ni, nj, A, B, C)

       integer ni, nj, i, j
C you need to take guard cells into account here explicitly
C two guard cells would have been -1:ni+2, etc.
       real*8 A(0:ni+1, 0:nj+1), B(0:ni+1, 0:nj+1), C(0:ni+1, 0:nj+1)

       DO j=1,nj
         DO i=1,ni
           A(i,j) = B(i,j) + C(i,j)
         ENDDO
       ENDDO

       RETURN
       END

